Query Information of Multiple Certificates
Query the detailed information of multiple certificates.
Request URL
GET {base_url}/{api_path}/certificate/query?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| ids | Yes | String | The ID(s) of the certificate(s).Note:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of the searched certificates. |
| certificate_list | Array<Cert_Info> | The information of the certificate. |
Cert_Info
| Parameter | Type | Description |
|---|---|---|
| id | Integer | Certificate ID. |
| name | String | Certificate name. |
| type | String | The type of the certificate.
|
| issue_to | String | The domain name associated with the certificate. |
| expiration | String | The expiration time of the certificate. |
| ca_type | String | How the certificate was added. Note: This parameter is only returned for PBX server certificate.
|
| auto_renewal | Integer | Whether the certificate automatic-renewal is enabled. Note: This parameter is only returned for PBX server certificate.
|
| dns_provider | String | The DNS provider used for certificate application and auto-renewal. Note: This parameter is only returned for PBX server certificate. |
| apply_status | String | The current application status of the certificate.
|
| apply_tip_code | Integer | The tip code for a certificate application or renewal operation. Note: This parameter is returned if certificate application or renewal fail, and the code is generated by the DNS provider. |
| auth_info_list | Array<Auth_Info> | The DNS authentication information required for certificate application and auto-renewal. |
Auth_InfoNote:For the detailed description about the DNS authentication parameters, see Supported DNS Providers.
| Parameter | Type | Description |
|---|---|---|
| k | String | The key for the authentication parameter as defined by the DNS provider. |
| iv | Integer | Return the integer-format value of the authentication parameter. |
| sv | String | Return the string-format value of the authentication parameter. |
| bv | Boolean | Return the boolean-format value of the authentication parameter. |
Examples
Request example
GET /openapi/v1.0/certificate/query?access_token=PySjo9peg6lAfStDbw5uQKEMQ2RXtnno&ids=4,5,6 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 3,
"certificate_list": [
{
"id": 4,
"name": "pbx_internal_ca.crt",
"type": "trusted",
"issue_to": "internal.company.local",
"expiration": "2025/05/25 10:45:42 AM",
"apply_status": "issuance_success"
},
{
"id": 5,
"name": "production_server_cert.pem",
"type": "server",
"issue_to": "pbx.company.com",
"expiration": "2025/05/25 10:45:42 AM",
"ca_type": "upload",
"auto_renewal": 1,
"dns_provider": "alidns",
"apply_status": "issuance_success",
"auth_info_list": [
{
"k": "TTL",
"iv": 600
},
{
"k": "AccessKeyId",
"sv": "AKIAIXXXXXXXXXXAMPLE"
},
{
"k": "AccessKeySecret",
"sv": "wJalrXUXXXXXXXXXXLEKEY"
},
{
"k": "PropagationTimeout",
"iv": 300
},
{
"k": "PollingInterval",
"iv": 5
}
]
},
{
"id": 6,
"name": "docs_server_cert.pem",
"type": "server",
"issue_to": "docs.company.com",
"expiration": "2026/04/19 08:56:08 AM",
"ca_type": "apply",
"auto_renewal": 1,
"dns_provider": "alidns",
"apply_status": "issuance_success",
"auth_info_list": [
{
"k": "PropagationTimeout",
"iv": 300
},
{
"k": "PollingInterval",
"iv": 5
},
{
"k": "TTL",
"iv": 600
},
{
"k": "AccessKeyId",
"sv": "AKIAIOSFODNN7EXAMPLE"
},
{
"k": "AccessKeySecret",
"sv": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
]
}
]
}HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 3,
"certificate_list": [
{
"id": 4,
"name": "pbx_internal_ca.crt",
"type": "trusted",
"issue_to": "internal.company.local",
"expiration": "2025/05/25 10:45:42 AM",
"apply_status": "issuance_success"
},
{
"id": 5,
"name": "production_server_cert.pem",
"type": "server",
"issue_to": "pbx.company.com",
"expiration": "2025/05/25 10:45:42 AM",
"ca_type": "upload",
"auto_renewal": 1,
"dns_provider": "alidns",
"apply_status": "issuance_success",
"auth_info_list": [
{
"k": "TTL",
"iv": 600
},
{
"k": "AccessKeyId",
"sv": "AKIAIXXXXXXXXXXAMPLE"
},
{
"k": "AccessKeySecret",
"sv": "wJalrXUXXXXXXXXXXLEKEY"
},
{
"k": "PropagationTimeout",
"iv": 300
},
{
"k": "PollingInterval",
"iv": 5
}
]
},
{
"id": 6,
"name": "docs_server_cert.pem",
"type": "server",
"issue_to": "docs.company.com",
"expiration": "2026/04/19 08:56:08 AM",
"ca_type": "apply",
"auto_renewal": 1,
"dns_provider": "alidns",
"apply_status": "issuance_success",
"auth_info_list": [
{
"k": "PropagationTimeout",
"iv": 300
},
{
"k": "PollingInterval",
"iv": 5
},
{
"k": "TTL",
"iv": 600
},
{
"k": "AccessKeyId",
"sv": "AKIAIOSFODNN7EXAMPLE"
},
{
"k": "AccessKeySecret",
"sv": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
]
}
]
}